Subject: Re: bug#8194: Incorrect frame handling in Gnus

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 15 Mar 2011 19:09:59 +0100

Stefan Monnier <[email-masked]> writes:

> Debugger entered--Lisp error: (error "Selecting deleted buffer")
>   switch-to-buffer(#<killed buffer>)
>   gnus-configure-frame((message 70 point) #<window 606 on *Article nnimap+diro:INBOX*>)

[...]

> IIRC (not completely sure my memory is reliable here) the steps that
> lead to it were something along the lines of:
> - in Summary, hit F to reply, which opens up a new frame.
> - back in the Summary frame, use gnus-ephemeral-emacs-bug
> - send the reply opened up earlier.
> - quit the ephemeral group.

I wasn't able to reproduce the bug, but looking at the code, I think
it's clear what's wrong, and I added a test against trying to select the
killed buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen